From 785caf4bc232418f871be8742b5b726d2762b156 Mon Sep 17 00:00:00 2001
From: Julien Roy <julien@jroy.ca>
Date: Tue, 3 Jan 2023 18:04:52 -0500
Subject: Update DEPEND

---
 dev-python/scmsrht/scmsrht-0.22.22.ebuild  |  2 +-
 www-apps/meta-srht/meta-srht-0.54.4.ebuild |  7 ++--
 www-apps/meta-srht/meta-srht-0.63.5.ebuild | 59 ++++++++++++++++++++++++++++++
 3 files changed, 64 insertions(+), 4 deletions(-)
 create mode 100644 www-apps/meta-srht/meta-srht-0.63.5.ebuild

diff --git a/dev-python/scmsrht/scmsrht-0.22.22.ebuild b/dev-python/scmsrht/scmsrht-0.22.22.ebuild
index adeae28..c732fa0 100644
--- a/dev-python/scmsrht/scmsrht-0.22.22.ebuild
+++ b/dev-python/scmsrht/scmsrht-0.22.22.ebuild
@@ -16,7 +16,7 @@ LICENSE="AGPL-3"
 SLOT="0"
 KEYWORDS="~amd64"
 
-RDEPEND="dev-python/python-srht[${PYTHON_USEDEP}]"
+RDEPEND="dev-python/core-srht[${PYTHON_USEDEP}]"
 DEPEND="${RDEPEND}"
 
 S="${WORKDIR}/${PB}-${PV}"
diff --git a/www-apps/meta-srht/meta-srht-0.54.4.ebuild b/www-apps/meta-srht/meta-srht-0.54.4.ebuild
index ae168a6..bf72bfc 100644
--- a/www-apps/meta-srht/meta-srht-0.54.4.ebuild
+++ b/www-apps/meta-srht/meta-srht-0.54.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022 Gentoo Authors
+# Copyright 2022-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -49,8 +49,9 @@ src_compile() {
 src_install() {
 	distutils-r1_src_install
 	dobin "${S}/api/metasrht-api"
-	insinto "/etc/"
-	newins "${S}/config.example.ini"
+	dodir "/etc/sr.ht"
+	insinto "/etc/sr.ht/"
+	newins "${S}/config.example.ini" "config.ini"
 }
 
 plg_postinst() {
diff --git a/www-apps/meta-srht/meta-srht-0.63.5.ebuild b/www-apps/meta-srht/meta-srht-0.63.5.ebuild
new file mode 100644
index 0000000..2e8508f
--- /dev/null
+++ b/www-apps/meta-srht/meta-srht-0.63.5.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 go-module optfeature systemd
+
+BOOTSTRAPVER="4.1.1"
+DESCRIPTION="The central authentication and account service for sr.ht"
+HOMEPAGE="https://git.sr.ht/~sircmpwn/meta.sr.ht"
+SRC_URI="http://git.sr.ht/~sircmpwn/meta.sr.ht/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="AGPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="network-sandbox"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+	dev-db/redis
+	dev-python/dnspython[${PYTHON_USEDEP}]
+	dev-python/bcrypt[${PYTHON_USEDEP}]
+	dev-python/scmsrht[${PYTHON_USEDEP}]
+	dev-python/qrcode[${PYTHON_USEDEP}]
+	dev-python/redis-py[${PYTHON_USEDEP}]
+	dev-python/python-sshpubkeys[${PYTHON_USEDEP}]
+	dev-python/zxcvbn[${PYTHON_USEDEP}]
+	www-servers/gunicorn[${PYTHON_USEDEP}]
+"
+BDEPEND="net-libs/nodejs
+	dev-lang/sassc
+	dev-lang/go
+"
+
+S="${WORKDIR}/meta.sr.ht-${PV}"
+
+src_unpack() {
+	default_src_unpack
+}
+
+src_compile() {
+	distutils-r1_src_compile
+	cd "${S}/api" || die
+	ego build -o metasrht-api
+}
+
+src_install() {
+	distutils-r1_src_install
+	dobin "${S}/api/metasrht-api"
+	dodir "/etc/sr.ht"
+	insinto "/etc/sr.ht/"
+	newins "${S}/config.example.ini" "config.ini"
+}
+
+plg_postinst() {
+	optfeature "billing support" "dev-python/stripe dev-python/weasyprint"
+}
-- 
cgit v1.2.3